/****************************************************************************
 *  #000 07/28/97 riverh 
 *  #001 11/10/97 riverh: fix bug4234, add SQLDA_COLPREC for colPrec field 
 *                        of hv_struct
 *  #002 12/16/97 phu: add SQLDA_MAX_FETCH_ROWS option
 *  #003 02/25/98 riverh: add SQLDA_STORE_FILE_TYPE, its values be defined 
 *                        on esqlype.h
 ****************************************************************************/
#ifndef _ESQLDA_H
#define _ESQLDA_H

/****************************************************************************
 *  define symbol to set value of SQLDA
 ****************************************************************************/
/* for SetSQLDA() and GetSQLDA() */
#define SQLDA_DATABUF               0
#define SQLDA_DATABUF_LEN           1
#define SQLDA_DATABUF_TYPE          2
#define SQLDA_BLOB_FLAG             3
#define SQLDA_PUT_DATA_LEN          4
#define SQLDA_INDICATOR             5
#define SQLDA_MAX_FETCH_ROWS        6      /* #002 */
#define SQLDA_STORE_FILE_TYPE       7      /* #003 */

/* only for GetSQLDA() */
#define SQLDA_COLTYPE              21
#define SQLDA_COLLEN               22
#define SQLDA_COLPREC              23      /* #001 */
#define SQLDA_COLSCALE             24
#define SQLDA_COLNULLABLE          25
#define SQLDA_COLNAME              26
#define SQLDA_COLNAME_LEN          27
#define SQLDA_NUM_OF_HV            28

/****************************************************************************
 *  define value for SQLDA_BLOB_FLAG option
 ****************************************************************************/
#define SQLDA_BLOB_ON    1
#define SQLDA_BLOB_OFF   0

#endif /* _ESQLDA_H */

